Hooks:PostHook( WeaponFactoryTweakData, "init", "LynxModInit", function(self)

	self.parts.wpn_fps_snp_lynx_bodybolt.adds = {"wpn_fps_snp_lynx_bodyinternal"}

	self.parts.wpn_fps_snp_lynx_o_special.stance_mod = {
		wpn_fps_snp_lynx = {
			translation = Vector3(-0.25, -5.25, -4),
			rotation = Rotation(0, 0, 0)
		}
	}
	self.parts.wpn_fps_snp_lynx_o_special.reticle_obj = nil
	self.parts.wpn_fps_snp_lynx_o_special.texture_switch = nil
	self.parts.wpn_fps_snp_lynx_o_special.adds = {"wpn_fps_snp_lynx_straps"}
	
	self.parts.wpn_fps_snp_lynx_a_low.has_description = true
	self.parts.wpn_fps_snp_lynx_a_low.custom_stats = {
		ammo_pickup_min_mul = 10,
		ammo_pickup_max_mul = 2.06
	}
	
	self.parts.wpn_fps_snp_lynx_b_supp.sound_switch = {suppressed = "suppressed_c"}
	self.parts.wpn_fps_snp_lynx_b_supp.perks = {"silencer"}
	
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_shortdot.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_shortdot.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_leupold.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_leupold.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_box.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_box.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_uh.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_fc1.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_bmg.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_bmg.stance_mod.wpn_fps_snp_m95)

	self.parts.wpn_fps_upg_o_45iron.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_45iron.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_45steel.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_snp_m95)

	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_snp_m95)
	self.parts.wpn_fps_upg_o_sig.stance_mod.wpn_fps_snp_lynx = deep_clone(self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_snp_m95)

end )